
.umbrella-calendar-open.fc-h-event, .umbrella-calendar-close.fc-h-event {
    border: none;
}

.umbrella-calendar-open {
    background-color: #99CC00;
}

.umbrella-calendar-close {
    background-color: #0581A1;
}

.umbrella-calendar-open .fc-event-title, .umbrella-calendar-close .fc-event-title {
    font-weight: bold;
    margin-left: 5px;
}

.umbrella-calendar-open .fc-event-title {
    color: #333333;
}

.umbrella-calendar-close .fc-event-title {
    color: #FFFFFF;
}

.umbrella-calendar-open .fc-event-time, .umbrella-calendar-close .fc-event-time,
.umbrella-calendar-open .fc-daygrid-event-dot, .umbrella-calendar-close .fc-daygrid-event-dot {
    display: none;
}

@media (min-width: 601px) {
    .umbrella-calendar-open {
        width: 100%;
        height: 38px;
        background: transparent url('../../../images/umbrella_calendar_open@2x.png') 0 0 no-repeat padding-box;
        background-size: contain;
        background-position-x: 5px;
        opacity: 1;
        padding-right: 5px;
        margin-bottom: 5px;
        line-height: 36px;
        font-size: 14px;
        font-weight: bold;
        letter-spacing: -0.7px;
    }

    .umbrella-calendar-open.fc-daygrid-dot-event:hover {
        background: transparent url('../../../images/umbrella_calendar_open@2x.png') 0 0 no-repeat padding-box;
        background-size: contain;
        background-position-x: 5px;
    }

    .umbrella-calendar-close {
        width: 100%;
        height: 38px;
        background: transparent url('../../../images/umbrella_calendar_close@2x.png') 0 0 no-repeat padding-box;
        background-size: contain;
        background-position-x: 5px;
        opacity: 1;
        padding-right: 5px;
        margin-bottom: 5px;
        line-height: 36px;
        font-size: 14px;
        font-weight: bold;
        letter-spacing: -0.7px;
    }

    .umbrella-calendar-close.fc-daygrid-dot-event:hover {
        background: transparent url('../../../images/umbrella_calendar_close@2x.png') 0 0 no-repeat padding-box;
        background-size: contain;
        background-position-x: 5px;
    }

    .umbrella-calendar-open .fc-event-main, .umbrella-calendar-close .fc-event-main {
        padding-left: 46px;
    }

    .umbrella-calendar-open .fc-event-title, .umbrella-calendar-close .fc-event-title {
        color: #71717A;
        margin-left: 46px;
    }
}

@media (min-width: 991px) {
    .umbrella-calendar-open .fc-event-title:before {
        content: "Pren.: ";
        font-weight: normal;
    }

    .umbrella-calendar-close .fc-event-title:before {
        content: "Disp.: ";
        font-weight: normal;
    }
}

@media (min-width: 1201px) {
    .umbrella-calendar-open .fc-event-title:before {
        content: "Prenotate: ";
        font-weight: normal;
    }

    .umbrella-calendar-close .fc-event-title:before {
        content: "Disponibili: ";
        font-weight: normal;
    }
}

/* Aggiunto per incompatibilità con il plugin modal */
.fi-topbar.sticky.top-0.z-20.overflow-x-clip {
    z-index: 2;
}

.modal-button-bg-color {
    background-color: #0581A1 !important;
}

[type=text].modal-input-focus-color:focus, [type=text].modal-input-focus-color:focus-within,
[type=number].modal-input-focus-color:focus, [type=number].modal-input-focus-color:focus-within,
textarea.modal-input-focus-color:focus, textarea.modal-input-focus-color:focus-within {
    --tw-ring-color: #0581A1;
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) #0581A1;
    border-color: #0581A1;
}

textarea.modal-input-focus-color {
    border-color: rgba(var(--gray-200), 1);
}

.modal-link-color {
    color: #0581A1;
}
